Bug 427834 - Unneeded dependencies
Summary: Unneeded dependencies
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-07 19:01 UTC by Rahul Sundaram
Modified: 2013-03-13 05:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-02 21:46:48 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2008-01-07 19:01:59 UTC
Description of problem:

NetworkManager-gnome seems to pull in a number of unneeded dependencies. I am
trying to use NetworkManager-gnome by default in the Xfce spin I am working on.
Maybe create a NetworkManager-gtk as a alternative for those who want to have a
frontend without all the GNOME dependencies. 

Actual results:

# yum install NetworkManager-gnome


=============================================================================

Package Arch Version Repository Size

=============================================================================


NetworkManager-gnome i386 1:0.7.0-0.6.6.svn3109.fc8 updates 235 k

Installing for dependencies:
 PolicyKit-gnome         i386       0.6-1.fc8        fedora       34 k
 evolution-data-server   i386       1.12.2-1.fc8     updates      3.7 M
 fedora-gnome-theme      noarch     8.0.0-1.fc8      fedora       10 k
 fedora-icon-theme       noarch     1.0.0-1.fc8      fedora       115 k
 gnome-desktop           i386       2.20.2-1.fc8     updates      952 k
 gnome-keyring           i386       2.20.2-1.fc8     updates      210 k
 gnome-menus             i386       2.20.2-1.fc8     updates      200 k
 gnome-mime-data         noarch     2.18.0-2.fc7     fedora       724 k
 gnome-mount             i386       0.7-1.fc8        fedora       126 k
 gnome-panel             i386       2.20.2-1.fc8     updates      3.4 M
 gnome-themes            noarch     2.20.2-1.fc8     updates      2.5 M
 gnome-vfs2              i386       2.20.1-1.fc8     updates      1.1 M
 libbonoboui             i386       2.20.0-1.fc8     fedora       352 k
 libgnome                i386       2.20.1-2.fc8     fedora       966 k
 libgnomeui              i386       2.20.1.1-1.fc8   fedora       1.0 M
 nodoka-theme-gnome      noarch     0.3.2-2.fc8      fedor        11 k


Expected results:

I am pretty sure gnome-panel and evolution-data-server is not required to run
NetworkManager-gnome outside of the GNOME environment. Not sure what else is not
needed but has been made a dependency just so that they all are normally
installed together. 

Additional info:

https://www.redhat.com/archives/fedora-devel-list/2008-January/msg00670.html

Comment 1 Bug Zapper 2008-05-14 04:19:52 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Orion Poplawski 2008-10-13 19:33:07 UTC
Annoying for KDE folks as well until knetworkmanager is up to snuff.

Comment 3 John Poelstra 2008-10-13 20:56:26 UTC
This bug has been triaged

Comment 4 Matthias Clasen 2008-10-14 02:46:59 UTC
The gnome-panel dependency is what pulls in most of the rest, and looks to me like it could be dropped without adverse effects.

Comment 5 Dan Williams 2008-10-14 14:46:35 UTC
yeah, the applet no longer links to anything in gnome-panel-devel.  will remove the dep.

Comment 6 Dan Williams 2008-11-02 21:46:48 UTC
Dep has been removed in rawhide, will filter down to F8 and F9 as well.

Comment 7 Fedora Update System 2008-11-23 23:04:56 UTC
NetworkManager-0.7.0-0.12.svn4326.fc9,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9,NetworkManager-openvpn-0.7.0-16.svn4326.fc9,NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-0.12.svn4326.fc9,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9,NetworkManager-openvpn-0.7.0-16.svn4326.fc9,NetworkManager-pptp-0.7.0-0.12.svn4326.fc9

Comment 8 Fedora Update System 2008-11-23 23:07:52 UTC
NetworkManager-0.7.0-0.12.svn4326.fc8,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8,NetworkManager-openvpn-0.7.0-16.svn4326.fc8,NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-0.12.svn4326.fc8,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8,NetworkManager-openvpn-0.7.0-16.svn4326.fc8,NetworkManager-pptp-0.7.0-0.12.svn4326.fc8

Comment 9 Fedora Update System 2008-12-21 23:37:28 UTC
NetworkManager-0.7.0-0.12.svn4326.fc9, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9, NetworkManager-openvpn-0.7.0-16.svn4326.fc9, NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-12-21 23:43:04 UTC
NetworkManager-0.7.0-0.12.svn4326.fc8, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8, NetworkManager-openvpn-0.7.0-16.svn4326.fc8, NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.